.\" Based on template /usr/share/man-db/examples/manpage.example provided by 
.\" Tom Christiansen <tchrist@jhereg.perl.com>.
.TH BUILDSLAVE "1" "August 2010" "Buildbot version: 0.8.1" "User Commands"
.SH NAME
buildslave \- a tool for managing buildbot slave instances
.SH SYNOPSIS
.PP
.B buildslave
[
.BR "global options"
]
.I command
[
.BR "command options"
]
.PP
.B buildslave
create-slave
[
.BR \-q | \-\-quiet
]
[
.BR \-f | \-\-force
]
[
.BR \-r | \-\-relocatable
]
[
.BR \-k | \-\-keepalive
.I TIME
]
[
.BR --usepty
{0|1}
]
[
.BR \-\-umask
.I UMASK
]
[
.BR \-s | \-\-log-size
.I SIZE
]
[
.BR \-l | \-\-log-count 
.I COUNT
]
[
.BR \-\-verbose
]
.I PATH
.I MASTER
.I USERNAME
.I PASSWORD
.PP
.B buildslave
[
.BR \-\-verbose
]
{
.BR start | stop | restart
}
[
.I PATH
]
.PP
.B buildslave
[
.BR \-\-verbose
]
{
.BR \-\-help | \-\-version
}
.PP
.B buildslave
.I command
.BR \-h | \-\-help
.SH DESCRIPTION
.\" Putting a newline after each sentence can generate better output.
The `buildslave' command-line tool can be used to start or stop a
buildslave or create a new buildslave instance.
.SH OPTIONS
.SS Commands
.TP
.BR create-slave
Create and populate a directory for a new buildslave
.TP
.BR start
Start a buildslave
.TP
.BR stop
Stop a buildslave
.TP
.BR restart
Restart a buildslave
.SS Global options
.TP
.BR \-h | \-\-help
Print the list of available commands and global options. 
All subsequent commands are ignored.
.TP
.BR --version
Print twistd and buildslave version.
All subsequent commands are ignored.
.TP
.BR --verbose
Verbose output.
.SS create-slave command options
.TP
.BR \-f | \-\-force
Re-use an existing directory.
.TP
.BR \-h | \-\-help
Show help for current command and exit.
All subsequent commands are ignored.
.TP
.BR \-k | \-\-keepalive
Send keepalive requests to buildmaster every
.I TIME
seconds.
Default value is 600 seconds.
.TP
.BR \-l | \-\-log-count
Limit the number of kept old twisted log files to 
.IR COUNT .
All files are kept by default.
.TP
.BR \-q | \-\-quiet
Do not emit the commands being run.
.TP
.BR \-r | \-\-relocatable
Create a relocatable buildbot.tac
.TP
.BR \-s | \-\-log-size
Set size at which twisted lof file is rotated to
.I SIZE
bytes.
Default value is 1000000 bytes.
.TP
.BR \-\-umask
Set umask for files created by buildslave.
Default value is 077 which means only owner can access the files. 
See 
.BR umask (2)
for more details.
.TP
.BR \-\-usepty
Set wether child processes should be run in a pty (0 means do not run in a
pty).
Default value is 0.
.TP
.I PATH
Path to buildslave base directory.
.TP
.I MASTER
Set the host and port of buildbot master to attach to in form
.IR HOST:PORT .
This should be provided by buildmaster administrator.
.TP
.I USERNAME
Buildslave name to connect with.
This should be provided by buildmaster administrator.
.TP
.I PASSWORD
Buildslave password to connect with.
This should be provided by buildmaster administrator.
.SH AUTHOR
\fBAndriy Senkovych\fR <\&andriysenkovych@gmail.com\&>
.SH "SEE ALSO"
.BR buildbot (1), 
.BR umask (2),
.PP
The complete documentation is available in texinfo format. To use it, run
.BR "info buildbot" .

